package com.ruoyi.business.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 库存对象 t_mi_stock
 * 
 * @author wms
 * @date 2022-05-29
 */
@TableName("t_mi_stock")
public class TMiStock extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 库存编号 */
    @TableField("STOCK_ID")
    private String stockId;

    /** 入库批次号 */
    @TableField("PUTIN_ID")
    private String putinId;

    /** 仓库编号 */
    @TableField("STORAGE_ID")
    private String storageId;

    /** 库区编号 */
    @TableField("AREA_ID")
    private String areaId;

    /** 商品类别编号 */
    @TableField("GOODS_TYPEID")
    private String goodsTypeid;

    /** 商品编号 */
    @Excel(name = "物料编码")
    @TableField("GOODS_ID")
    private String goodsId;

    /** 物料描述 */
    @Excel(name = "物料描述")
    @TableField("GOODS_NAME")
    private String goodsName;

    /** 批次号 */
    @Excel(name = "批次号")
    @TableField("PRODUCLOTID")
    private String produclotid;

    /** 生产日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "生产日期", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("PRODUCTION_DATE")
    private Date productionDate;

    /**有效日期*/
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效日期", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("EXPIRATION_DATE")
    private Date expirationDate;

    /** 数量 */
    @Excel(name = "数量")
    @TableField("SHELVES_NUM")
    private BigDecimal shelvesNum;

    /** 占用容器 */
    @Excel(name = "托盘号")
    @TableField("CTL")
    private String ctl;

    /** 库位编号 */
    @Excel(name = "库位编号")
    @TableField("LOCATION_ID")
    private String locationId;

    /** 供应商编号 */
    @Excel(name = "供应商编码")
    @TableField("PROVIDER_ID")
    private String providerId;

    /** 子库 */
    @Excel(name = "子库")
    @TableField("WHSELOC")
    private String whseloc;

    /** 状态 */
    @Excel(name = "状态")
    @TableField("STS")
    private String sts;

    /** 版本 */
    @TableField("VERSION")
    private String version;

    /** 入库类型（采购入库、退货入库、调货入库、盲收、其它） */
    @TableField("STORAGE_MODE")
    private String storageMode;

    /** 上架时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @TableField("WARE_DATE")
    private Date wareDate;

    /** 单据编号（调整填写调整单号，入库填写入库单号） */
    @TableField("DOCCTNUMBER")
    private String docctnumber;

    /** 商品体积 */
    @TableField("GOODSVOLUME")
    private BigDecimal goodsvolume;

    /** 已占用数量 */
    @TableField("OCCUPY_NUM")
    private BigDecimal occupyNum;

    /** 通知单号 */
    @TableField("NOTICE_ID")
    private String noticeId;

    /** 来源单据 */
    @TableField("ORI_BILL")
    private String oriBill;

    /** $column.columnComment */
    @TableField("BARCODE")
    private String barcode;

    /** 重量 */
    @Excel(name = "重量")
    @TableField("WGH")
    private String wgh;

    /** $column.columnComment */
    @TableField("HIGH")
    private String high;

    /** $column.columnComment */
    @TableField("CUSTOMER_ID")
    private String customerId;

    /** 生成批号 */
    @TableField("BATCHNO")
    private String batchno;

    /** $column.columnComment */
    @TableField("OPERATOR_MAN")
    private String operatorMan;

    /** $column.columnComment */
    @TableField("AUTOSTS")
    private BigDecimal autosts;

    /** $column.columnComment */
    @TableField("ABLE_NUM")
    private BigDecimal ableNum;

    /** $column.columnComment */
    @TableField("GOODS_MEASURE_ID")
    private String goodsMeasureId;

    /** $column.columnComment */
    @TableField("PERIOD")
    private String period;

    /** $column.columnComment */
    @TableField("DUE_DATE")
    private Date dueDate;

    /** $column.columnComment */
    @TableField("CHECK_DATE")
    private Date checkDate;

    /** $column.columnComment */
    @TableField("STANDARD")
    private String standard;

    /** $column.columnComment */
    @TableField("FLAG")
    private String flag;

    /** $column.columnComment */
    @TableField("NET_WEIGH")
    private Long netWeigh;

    /** $column.columnComment */
    @TableField("MARK")
    private String mark;

    /** $column.columnComment */
    @TableField("CUSTOMER")
    private String customer;

    /** $column.columnComment */
    @TableField("ORDER_NUM")
    private String orderNum;

    /** $column.columnComment */
    @TableField("PROBLEM")
    private String problem;

    /** $column.columnComment */
    @TableField("PRICE")
    private String price;

    /** $column.columnComment */
    @TableField("PACKING_NUM")
    private BigDecimal packingNum;

    /** $column.columnComment */
    @TableField("BOX_TYPE")
    private String boxType;

    /** $column.columnComment */
    @TableField("SCALE_UNIT")
    private String scaleUnit;

    /** $column.columnComment */
    @TableField("LOCIDNAME")
    private String locidname;

    /** $column.columnComment */
    @TableField("GOODS_SKU")
    private String goodsSku;

    public void setStockId(String stockId) 
    {
        this.stockId = stockId;
    }

    public String getStockId() 
    {
        return stockId;
    }
    public void setPutinId(String putinId) 
    {
        this.putinId = putinId;
    }

    public String getPutinId() 
    {
        return putinId;
    }
    public void setStorageId(String storageId) 
    {
        this.storageId = storageId;
    }

    public String getStorageId() 
    {
        return storageId;
    }
    public void setAreaId(String areaId) 
    {
        this.areaId = areaId;
    }

    public String getAreaId() 
    {
        return areaId;
    }
    public void setLocationId(String locationId) 
    {
        this.locationId = locationId;
    }

    public String getLocationId() 
    {
        return locationId;
    }
    public void setGoodsTypeid(String goodsTypeid) 
    {
        this.goodsTypeid = goodsTypeid;
    }

    public String getGoodsTypeid() 
    {
        return goodsTypeid;
    }
    public void setGoodsId(String goodsId) 
    {
        this.goodsId = goodsId;
    }

    public String getGoodsId() 
    {
        return goodsId;
    }
    public void setShelvesNum(BigDecimal shelvesNum) 
    {
        this.shelvesNum = shelvesNum;
    }

    public BigDecimal getShelvesNum() 
    {
        return shelvesNum;
    }
    public void setVersion(String version) 
    {
        this.version = version;
    }

    public String getVersion() 
    {
        return version;
    }
    public void setStorageMode(String storageMode) 
    {
        this.storageMode = storageMode;
    }

    public String getStorageMode() 
    {
        return storageMode;
    }
    public void setProviderId(String providerId) 
    {
        this.providerId = providerId;
    }

    public String getProviderId() 
    {
        return providerId;
    }
    public void setProductionDate(Date productionDate) 
    {
        this.productionDate = productionDate;
    }

    public Date getProductionDate() 
    {
        return productionDate;
    }
    public void setWareDate(Date wareDate) 
    {
        this.wareDate = wareDate;
    }

    public Date getWareDate() 
    {
        return wareDate;
    }
    public void setDocctnumber(String docctnumber) 
    {
        this.docctnumber = docctnumber;
    }

    public String getDocctnumber() 
    {
        return docctnumber;
    }
    public void setGoodsvolume(BigDecimal goodsvolume) 
    {
        this.goodsvolume = goodsvolume;
    }

    public BigDecimal getGoodsvolume() 
    {
        return goodsvolume;
    }
    public void setOccupyNum(BigDecimal occupyNum) 
    {
        this.occupyNum = occupyNum;
    }

    public BigDecimal getOccupyNum() 
    {
        return occupyNum;
    }
    public void setNoticeId(String noticeId) 
    {
        this.noticeId = noticeId;
    }

    public String getNoticeId() 
    {
        return noticeId;
    }
    public void setOriBill(String oriBill) 
    {
        this.oriBill = oriBill;
    }

    public String getOriBill() 
    {
        return oriBill;
    }
    public void setCtl(String ctl) 
    {
        this.ctl = ctl;
    }

    public String getCtl() 
    {
        return ctl;
    }
    public void setBarcode(String barcode) 
    {
        this.barcode = barcode;
    }

    public String getBarcode() 
    {
        return barcode;
    }
    public void setWgh(String wgh) 
    {
        this.wgh = wgh;
    }

    public String getWgh() 
    {
        return wgh;
    }
    public void setHigh(String high) 
    {
        this.high = high;
    }

    public String getHigh() 
    {
        return high;
    }
    public void setGoodsName(String goodsName) 
    {
        this.goodsName = goodsName;
    }

    public String getGoodsName() 
    {
        return goodsName;
    }
    public void setWhseloc(String whseloc) 
    {
        this.whseloc = whseloc;
    }

    public String getWhseloc() 
    {
        return whseloc;
    }
    public void setProduclotid(String produclotid) 
    {
        this.produclotid = produclotid;
    }

    public String getProduclotid() 
    {
        return produclotid;
    }
    public void setSts(String sts) 
    {
        this.sts = sts;
    }

    public String getSts() 
    {
        return sts;
    }
    public void setCustomerId(String customerId) 
    {
        this.customerId = customerId;
    }

    public String getCustomerId() 
    {
        return customerId;
    }
    public void setBatchno(String batchno) 
    {
        this.batchno = batchno;
    }

    public String getBatchno() 
    {
        return batchno;
    }
    public void setOperatorMan(String operatorMan) 
    {
        this.operatorMan = operatorMan;
    }

    public String getOperatorMan() 
    {
        return operatorMan;
    }
    public void setAutosts(BigDecimal autosts) 
    {
        this.autosts = autosts;
    }

    public BigDecimal getAutosts() 
    {
        return autosts;
    }
    public void setAbleNum(BigDecimal ableNum) 
    {
        this.ableNum = ableNum;
    }

    public BigDecimal getAbleNum() 
    {
        return ableNum;
    }
    public void setGoodsMeasureId(String goodsMeasureId) 
    {
        this.goodsMeasureId = goodsMeasureId;
    }

    public String getGoodsMeasureId() 
    {
        return goodsMeasureId;
    }
    public void setPeriod(String period) 
    {
        this.period = period;
    }

    public String getPeriod() 
    {
        return period;
    }
    public void setDueDate(Date dueDate) 
    {
        this.dueDate = dueDate;
    }

    public Date getDueDate() 
    {
        return dueDate;
    }
    public void setCheckDate(Date checkDate) 
    {
        this.checkDate = checkDate;
    }

    public Date getCheckDate() 
    {
        return checkDate;
    }
    public void setStandard(String standard) 
    {
        this.standard = standard;
    }

    public String getStandard() 
    {
        return standard;
    }
    public void setFlag(String flag) 
    {
        this.flag = flag;
    }

    public String getFlag() 
    {
        return flag;
    }
    public void setNetWeigh(Long netWeigh) 
    {
        this.netWeigh = netWeigh;
    }

    public Long getNetWeigh() 
    {
        return netWeigh;
    }
    public void setMark(String mark) 
    {
        this.mark = mark;
    }

    public String getMark() 
    {
        return mark;
    }
    public void setCustomer(String customer) 
    {
        this.customer = customer;
    }

    public String getCustomer() 
    {
        return customer;
    }
    public void setOrderNum(String orderNum) 
    {
        this.orderNum = orderNum;
    }

    public String getOrderNum() 
    {
        return orderNum;
    }
    public void setProblem(String problem) 
    {
        this.problem = problem;
    }

    public String getProblem() 
    {
        return problem;
    }
    public void setPrice(String price) 
    {
        this.price = price;
    }

    public String getPrice() 
    {
        return price;
    }
    public void setPackingNum(BigDecimal packingNum) 
    {
        this.packingNum = packingNum;
    }

    public BigDecimal getPackingNum() 
    {
        return packingNum;
    }
    public void setBoxType(String boxType) 
    {
        this.boxType = boxType;
    }

    public String getBoxType() 
    {
        return boxType;
    }
    public void setScaleUnit(String scaleUnit) 
    {
        this.scaleUnit = scaleUnit;
    }

    public String getScaleUnit() 
    {
        return scaleUnit;
    }
    public void setLocidname(String locidname) 
    {
        this.locidname = locidname;
    }

    public String getLocidname() 
    {
        return locidname;
    }
    public void setGoodsSku(String goodsSku) 
    {
        this.goodsSku = goodsSku;
    }

    public String getGoodsSku() 
    {
        return goodsSku;
    }

    public Date getExpirationDate() {
        return expirationDate;
    }

    public void setExpirationDate(Date expirationDate) {
        this.expirationDate = expirationDate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("stockId", getStockId())
            .append("putinId", getPutinId())
            .append("storageId", getStorageId())
            .append("areaId", getAreaId())
            .append("locationId", getLocationId())
            .append("goodsTypeid", getGoodsTypeid())
            .append("goodsId", getGoodsId())
            .append("shelvesNum", getShelvesNum())
            .append("remark", getRemark())
            .append("version", getVersion())
            .append("storageMode", getStorageMode())
            .append("providerId", getProviderId())
            .append("productionDate", getProductionDate())
            .append("wareDate", getWareDate())
            .append("docctnumber", getDocctnumber())
            .append("goodsvolume", getGoodsvolume())
            .append("occupyNum", getOccupyNum())
            .append("noticeId", getNoticeId())
            .append("oriBill", getOriBill())
            .append("ctl", getCtl())
            .append("barcode", getBarcode())
            .append("wgh", getWgh())
            .append("high", getHigh())
            .append("goodsName", getGoodsName())
            .append("whseloc", getWhseloc())
            .append("produclotid", getProduclotid())
            .append("sts", getSts())
            .append("customerId", getCustomerId())
            .append("batchno", getBatchno())
            .append("operatorMan", getOperatorMan())
            .append("autosts", getAutosts())
            .append("ableNum", getAbleNum())
            .append("goodsMeasureId", getGoodsMeasureId())
            .append("period", getPeriod())
            .append("dueDate", getDueDate())
            .append("checkDate", getCheckDate())
            .append("standard", getStandard())
            .append("flag", getFlag())
            .append("netWeigh", getNetWeigh())
            .append("mark", getMark())
            .append("customer", getCustomer())
            .append("orderNum", getOrderNum())
            .append("problem", getProblem())
            .append("price", getPrice())
            .append("packingNum", getPackingNum())
            .append("boxType", getBoxType())
            .append("scaleUnit", getScaleUnit())
            .append("locidname", getLocidname())
            .append("goodsSku", getGoodsSku())
            .append("expirationDate", getExpirationDate())
            .toString();
    }
}
